Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ejb
Class Ejbc

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ejb.Ejbc

public class Ejbc
extends MatchingTask

Build EJB support classes using Weblogic's ejbc tool from a directory containing a set of deployment descriptors.

Author:
  Conor MacNeill, Cortex ebusiness Pty Limited

Field Summary
`boolean` | `keepgenerated`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Ejbc()`

Method Summary
`void` | `execute()` Do the work.
`boolean` | `getKeepgenerated()`
`void` | `setClasspath(java.lang.String s)` Set the classpath to be used for this compilation.
`void` | `setDescriptors(java.lang.String dirName)` Set the directory from where the serialised deployment descriptors are to be read.
`void` | `setDest(java.lang.String dirName)` Set the directory into which the support classes, RMI stubs, etc are to be written
`void` | `setKeepgenerated(java.lang.String newKeepgenerated)`
`void` | `setManifest(java.lang.String manifestFilename)` Set the generated manifest file.
`void` | `setSrc(java.lang.String dirName)` Set the directory containing the source code for the home interface, remote interface and public key class definitions.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keepgenerated

    public boolean keepgenerated

Constructor Detail

### Ejbc

    public Ejbc()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Do the work. The work is actually done by creating a separate JVM to run a helper task. This approach allows the classpath of the helper task to be set. Since the weblogic tools require the class files of the project's home and remote interfaces to be available in the classpath, this also avoids having to start ant with the class path of the project it is building.
  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### getKeepgenerated

    public boolean getKeepgenerated()

### setDescriptors

    public void setDescriptors(java.lang.String dirName)

  Set the directory from where the serialised deployment descriptors are to be read.
  Parameters:
    `dirName` - the name of the directory containing the serialised deployment descriptors.

### setDest

    public void setDest(java.lang.String dirName)

  Set the directory into which the support classes, RMI stubs, etc are to be written
  Parameters:
    `dirName` - the name of the directory into which code is generated

### setKeepgenerated

    public void setKeepgenerated(java.lang.String newKeepgenerated)

### setManifest

    public void setManifest(java.lang.String manifestFilename)

  Set the generated manifest file. For each EJB that is processed an entry is created in this file. This can then be used to create a jar file for dploying the beans.
  Parameters:
    `manfestFilename` - the name of the manifest file to be generated.

### setClasspath

    public void setClasspath(java.lang.String s)

  Set the classpath to be used for this compilation.

### setSrc

    public void setSrc(java.lang.String dirName)

  Set the directory containing the source code for the home interface, remote interface and public key class definitions.
  Parameters:
    `dirName` - the directory containg the source tree for the EJB's interface classes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.